J2X(1)

NAME
j2x - transform JSON data to XML

SYNOPSIS
j2x [-input filename] [-output filename] [-set tag] [-rec tag] [-nest flat|recurse|plural|depth] [-timer] [-help]

DESCRIPTION
j2x reads JSON data from standard input or a specified file, transforms it to XML with optional formal changes to set and record tags, and writes the result to standard output or a specified file.

OPTIONS

  Data Files

-input filename
    Read JSON from filename instead of standard input.

-output filename
    Write XML to filename instead of standard output.

  Parent Object Names

-set tag
    Replace set wrapper tag.

-rec tag
    Replace record wrapper tag.

  Nested Array Naming

-nest flat|recurse|plural|depth
    Nested array naming policy.

  Performance Measurement

-timer
    Report processing duration and rate.

  Documentation

-help
    Print usage information, complete with an example pipeline.

SEE ALSO
efetch(1), enquire(1), nquire(1), t2x(1), transmute(1), xtract(1).